<?php
require_once('Page.php');
class Pashuconfig extends Page{
	function show(){
		$this->_load->model('Pashu_model');

		$pashu_config=$this->_load->pashu_model->getAllConfig();
		$statustext_arr=array('',"未开始","进行中","结束");
		$winningagaintext_arr=array('',"不能重复获奖","可重复获奖");
		$pashushowstyletext_arr=array('','昵称','姓名','手机号');
		foreach($pashu_config as $k=>$v){
			$pashu_config[$k]['statustext']=$statustext_arr[$v['status']];
			$pashu_config[$k]['winningagaintext']=$winningagaintext_arr[$v['winningagain']];
			$pashu_config[$k]['showstyletext']=$pashushowstyletext_arr[$v['showstyle']];
		}
		$this->assign('pashu_config',$pashu_config);
		$this->display('templates/pashuconfig.html');
	}
}
$page=new Pashuconfig();
$page->setTitle('猴子爬树游戏设置');
$page->show();
